#ifndef MPARREAD_H
#define MPARREAD_H

#include "Magic.h"

#include "MTask.h"
#include "MTime.h"

class MParList;
class MInputStreamID;

class MParRead : public MTask
{
private:
    MTime fTime;
    MParList *pParList;

    MInputStreamID *fID;

public:
    MParRead();

    Bool_t PreProcess(MParList *pList);
    Bool_t Process();

    ClassDef(MParRead, 1)	// Read event from root file into event buffer
};

#endif
